## lutris 0.5.7.1~ab10+1

=== debian/changelog ===
lutris (0.5.7.1~ab10+1) buster-ab-unstable; urgency=medium

  * Automated port via mini-buildd (no changes). Original DSC's SHA1:
    e5a57eba3a4debe1444fbf51d5d7a92ebba2d833.
  * External port from:
    http://download.opensuse.org/repositories/home:/strycore/Debian_10/l
    utris_0.5.7.1.dsc
  * MINI_BUILDD_OPTION: ignore-lintian=true

 -- mini-buildd archive hellfield <mini-buildd@hellfield.olx.intra>  Tue, 29 Sep 2020 16:00:47 +0200

lutris (0.5.7.1) focal; urgency=medium

  * Provide D3D12.DLL, based on vkd3d3-proton project
    (https://github.com/HansKristian-Work/vkd3d-proton),
    as part of our DXVK runtime. This will help push updates faster and provide better compatibility for
    Direct3D 12 titles such as World of Warcraft.

 -- Mathieu Comandon <strider@strycore.com>  Sat, 18 Jul 2020 14:35:23 -0700

lutris (0.5.7) focal; urgency=medium

  * Use Meson and Ninja to build translation files
  * Improve Debian package compliance with standards
  * Add translation strings for the code base
  * Set a default directory to manually added games, allowing to remove them
  * Deprecate MESS runner
  * Migrate all MESS games to MAME
  * Get full supported system list from the XML given by MAME
  * Allow to run MAME games by ID if the ROM path is set
  * Add a no-GUI option to RPCS3
  * Fix GalliumNine conflicts with DXVK
  * Improve performance of DirectX 12 games running on AMD GPU by setting RADV_DEBUG=zerovram
  * Code style fixes. Pylint is now used in the Travis checks.

 -- Mathieu Comandon <strider@strycore.com>  Fri, 26 Jun 2020 18:06:18 -0700

lutris (0.5.6) eoan; urgency=medium

  * Add some wine core processes to be excluded from monitor (Fixes Battle.net
    and Origin installation issues)
  * Convert play time from string to float in the database. Do not downgrade
    back to older versions or you'll experience issues.
  * Fix for the wine sandbox on non English systems
  * Allow Citra and MAME to be launched as standalone programs
  * Avoid a crash if ldconfig -p returns corrupt data
  * Allow custom messages to be displayed at the end of install scripts
  * Add option to provide alternate config file for PCSX2 games
  * Fix issue with usernames containing accented characters
  * Fix "Restrict to display" option on Wayland/Mutter
  * Fix blurry icons on KDE
  * Remove broken translation files (until internationalization is done properly)
  * Switch source of DXVK builds to Lutris' own (allows Lutris to delay broken
    DXVK releases and ship custom ones)

 -- Mathieu Comandon <strycore@gmail.com>  Sun, 12 Apr 2020 19:04:15 -0700

lutris (0.5.5) eoan; urgency=medium

  * Initial support for Humble Bundle
  * Add resolution switching support for Wayland (Mutter only)
  * Add option to enable ACO shader compiler on Mesa >= 19.3
  * DXVK is enabled by default
  * Add initial support for VKD3D
  * Migrate D9VK configs to use DXVK
  * Remove d3d10 and d3d10_1 from dlls handled by DXVK
  * Fix an API breakage occuring with a Gtk update
  * Add a System info tab in Preferences
  * Better handle authentication failure for GOG
  * Fix case issue with key lookup in Steam VDF files
  * Add Yuzu runner
  * Add bsnes-hd beta and smsplus libretro cores
  * Add sound device option for Mednafen
  * Remove bundled winetricks
  * Remove xboxdrv integration

 -- Mathieu Comandon <strycore@gmail.com>  Thu, 26 Mar 2020 22:21:28 -0700

## lutris 0.5.7.1

=== Makefile ===
VERSION=`grep "__version__" lutris/__init__.py | cut -d" " -f 3 | sed 's|"\(.*\)"|\1|'`
GITBRANCH ?= master
PIPENV:=pipenv
PYTHON:=$(shell which python3)
PIP:=$(PYTHON) -m pip
PIPENV_LOCK_ARGS:= --deploy --ignore-pipfile

all:
	export GITBRANCH=master
	debuild
	debclean

build:
	gbp buildpackage --git-debian-branch=${GITBRANCH}

clean:
	debclean

build-source: clean
	gbp buildpackage -S --git-debian-branch=${GITBRANCH}
	mkdir build
	mv ../lutris_${VERSION}* build

release: build-source upload upload-ppa

test:
	rm tests/fixtures/pga.db -f
	nosetests3
	flake8 lutris

cover:
	rm tests/fixtures/pga.db -f
	rm tests/coverage/ -rf
	nosetests3 --with-coverage --cover-package=lutris --cover-html --cover-html-dir=tests/coverage

pgp-renew:
	osc signkey --extend home:strycore
	osc rebuildpac home:strycore --all

changelog-add:
	EDITOR=vim dch -i

changelog-edit:
	EDITOR=vim dch -e

upload:
	scp build/lutris_${VERSION}.tar.xz lutris.net:/srv/releases/

upload-ppa:
	dput ppa:lutris-team/lutris build/lutris_${VERSION}*_source.changes

upload-staging:
	dput --force ppa:lutris-team/lutris-staging build/lutris_${VERSION}*_source.changes

snap:
	snapcraft clean lutris -s pull
	snapcraft

dev:
	$(PIP) install --user --upgrade pipenv
	$(PIPENV) install --dev $(PIPENV_LOCK_ARGS) --python $(PYTHON)

requirements:
	# Generate new requirements.txt and requirements-dev.txt based on Pipfile.lock
	# These files are needed by Travis CI
	$(PIPENV) run pipenv_to_requirements -f

# ============
# Style checks
# ============

style: isort autopep8  ## Format code

isort:
	$(PIPENV) run isort -y -rc lutris

autopep8:
	$(PIPENV) run autopep8 --in-place --recursive --ignore E402 setup.py lutris


# ===============
# Static analysis
# ===============

check: isort-check flake8 pylint

isort-check:
	$(PIPENV) run isort -c -rc lutris

flake8:
	$(PIPENV) run flake8 lutris

pylint:
	$(PIPENV) run pylint --rcfile=.pylintrc --output-format=colorized lutris

# =============
# Abbreviations
# =============

sc: style check
req: requirements
styles: style
checks: check

=== debian/changelog ===
lutris (0.5.7.1-1~mx19+1) mx; urgency=medium

  * Initial packaging of upstream release for MX 19.
  * Re-add libvulkan-dev:i386, gvfs-backends, python3-evdev to the depends list.

 -- ”SwampRabbit” <swamprabbit@mxlinux.org>  Mon, 20 Jul 2020 10:07:06 -0400

=== debian/control ===
Source: lutris
Section: games
Priority: optional
Maintainer: SwampRabbit <swamprabbit@mxlinux.org>
XSBC-Original-Maintainer: Mathieu Comandon <strider@strycore.com>
Build-Depends: debhelper (>= 12),
               dh-sequence-python3,
               meson,
Rules-Requires-Root: no
Standards-Version: 4.5.0
Homepage: https://lutris.net
Vcs-Browser: https://github.com/lutris/lutris
Vcs-Git: https://github.com/lutris/lutris.git

Package: lutris
Architecture: any
Depends: ${misc:Depends},
         ${python3:Depends},
         python3-yaml,
         python3-requests,
         python3-pil,
         python3-gi,
         python3-setproctitle,
         python3-distro,
         gir1.2-gtk-3.0,
         gir1.2-gnomedesktop-3.0,
         gir1.2-webkit2-4.0,
         gir1.2-notify-0.7,
         psmisc,
         cabextract,
         unzip,
         p7zip,
         curl,
         fluid-soundfont-gs,
         x11-xserver-utils,
         mesa-utils,
         libvulkan-dev:i386,
         python3-evdev,
         gvfs-backends,
Recommends: libwine-development,
            winetricks,
            libc6-i386 [amd64],
            lib32gcc1 [amd64] | lib32gcc-s1 [amd64],
Suggests: gamemode,
Description: open source gaming platform
 Lutris goal is to make gaming on Linux as easy as possible by taking care of
 installing and setting up the game for the user. The only thing you have to do
 is play the game. It aims to support every game that is playable on Linux.

=== debian/rules ===
#!/usr/bin/make -f

%:
	dh $@ --buildsystem=meson

override_dh_auto_configure:
	dh_auto_configure -- -Dbindir=games

## lutris 0.5.8.1

=== Makefile ===
--- 
+++ 
@@ -44,7 +44,7 @@
 	EDITOR=vim dch -e
 
 upload:
-	scp build/lutris_${VERSION}.tar.xz lutris.net:/srv/releases/
+	scp build/lutris_${VERSION}.tar.xz anaheim:~/volumes/releases/
 
 upload-ppa:
 	dput ppa:lutris-team/lutris build/lutris_${VERSION}*_source.changes

=== debian/changelog ===
lutris (0.5.8.1-1~mx19+1) mx; urgency=medium

  * Initial packaging of upstream release for MX 19.
  * Control: Re-add libvulkan-dev:i386, gvfs-backends, python3-evdev to the depends list.

 -- SwampRabbit <swamprabbit@mxlinux.org>  Mon, 04 Jan 2021 10:32:56 -0500

lutris (0.5.8.1-1) unstable; urgency=medium

  * Initial release (Closes: #754129)

 -- Stephan Lachnit <stephanlachnit@protonmail.com>  Sun, 29 Nov 2020 13:20:15 +0100

=== debian/control ===
Source: lutris
Section: contrib/games
Priority: optional
Maintainer: SwampRabbit <swamprabbit@mxlinux.org>
XSBC-Original-Maintainer: Debian Games Team <pkg-games-devel@lists.alioth.debian.org>
Uploaders: Stephan Lachnit <stephanlachnit@protonmail.com>
Build-Depends: debhelper-compat (= 13),
               appstream,
               dh-sequence-python3,
               meson,
Rules-Requires-Root: no
Standards-Version: 4.5.0
Homepage: https://lutris.net
Vcs-Browser: https://salsa.debian.org/games-team/lutris
Vcs-Git: https://salsa.debian.org/games-team/lutris.git

Package: lutris
Architecture: all
Depends: ${misc:Depends},
         ${python3:Depends},
         python3-yaml,
         python3-requests,
         python3-pil,
         python3-gi,
         python3-setproctitle,
         python3-magic,
         python3-distro,
         gir1.2-gtk-3.0,
         gir1.2-gnomedesktop-3.0,
         gir1.2-webkit2-4.0,
         gir1.2-notify-0.7,
         psmisc,
         cabextract,
         unzip,
         p7zip,
         curl,
         fluid-soundfont-gs,
         x11-xserver-utils,
         mesa-utils,
         python3-evdev,
         gvfs-backends,
         libvulkan-dev:i386
Recommends: libwine-development,
            winetricks,
Suggests: gamemode,
Description: open source gaming platform
 Lutris goal is to make gaming on Linux as easy as possible by taking care of
 installing and setting up the game for the user. The only thing you have to do
 is play the game. It aims to support every game that is playable on Linux.

## lutris 0.5.8.2+git20200109

=== debian/changelog ===
lutris (0.5.8.2+git20200109-1~mx19+1) mx; urgency=medium

  * Initial packaging for MX-19 of upstream release + github up to c890148.

 -- SwampRabbit <swamprabbit@mxlinux.org>  Sat, 09 Jan 2021 23:23:54 -0500

=== debian/control ===
--- 
+++ 
@@ -19,12 +19,14 @@
 Depends: ${misc:Depends},
          ${python3:Depends},
          python3-yaml,
+         python3-lxml,
          python3-requests,
          python3-pil,
          python3-gi,
          python3-setproctitle,
          python3-magic,
          python3-distro,
+         python3-dbus,
          gir1.2-gtk-3.0,
          gir1.2-gnomedesktop-3.0,
          gir1.2-webkit2-4.0,

=== debian/rules ===
--- 
+++ 
@@ -1,4 +1,8 @@
 #!/usr/bin/make -f
+# -*- makefile -*-
+
+# Uncomment this to turn on verbose mode.
+export DH_VERBOSE=1
 
 %:
 	dh $@ --buildsystem=meson

## lutris 0.5.8.3

=== Makefile ===
--- 
+++ 
@@ -26,7 +26,6 @@
 test:
 	rm tests/fixtures/pga.db -f
 	nosetests3
-	flake8 lutris
 
 cover:
 	rm tests/fixtures/pga.db -f

=== requirements.txt ===
################################################################################
# This requirements file has been automatically generated from `Pipfile` with
# `pipenv-to-requirements`
#
#
# This has been done to maintain backward compatibility with tools and services
# that do not support `Pipfile` yet.
#
# Do NOT edit it directly, use `pipenv install [-d]` to modify `Pipfile` and
# `Pipfile.lock` and then regenerate `requirements*.txt`.
################################################################################

astroid==2.4.2
certifi==2020.6.20
cffi==1.14.3
chardet==3.0.4
cryptography==3.1.1 ; python_version >= '2.7' and python_version not in '3.0, 3.1, 3.2, 3.3, 3.4'
dbus-python==1.2.16
entrypoints==0.3
evdev==1.3.0
idna==2.10
jeepney==0.4.3 ; sys_platform == 'linux'
keyring==21.4.0
lazy-object-proxy==1.4.3
mccabe==0.6.1
pycairo==1.20.0
pycparser==2.20 ; python_version >= '2.7' and python_version not in '3.0, 3.1, 3.2, 3.3'
pyflakes==2.2.0
pygobject==3.38.0
python-magic==0.4.18
pyyaml==5.3.1
requests==2.24.0
secretstorage==3.1.2 ; sys_platform == 'linux'
six==1.15.0
urllib3==1.25.10
wrapt==1.12.1

=== debian/changelog ===
lutris (0.5.8.3-2) unstable; urgency=medium

  * Fix compatibility with Python 3.9 (Closes: #989474)

 -- Stephan Lachnit <stephanlachnit@protonmail.com>  Sat, 05 Jun 2021 19:59:53 +0200

lutris (0.5.8.3-1) unstable; urgency=medium

  * New upstream version 0.5.8.3

 -- Stephan Lachnit <stephanlachnit@protonmail.com>  Sat, 23 Jan 2021 12:45:21 +0100

lutris (0.5.8.2-2) unstable; urgency=medium

  * fix startup crash (Closes: #980554)

 -- Stephan Lachnit <stephanlachnit@protonmail.com>  Thu, 21 Jan 2021 19:06:14 +0100

lutris (0.5.8.2-1) unstable; urgency=medium

  * New upstream version 0.5.8.2
  * Closes: #977246, #978557

 -- Stephan Lachnit <stephanlachnit@protonmail.com>  Tue, 05 Jan 2021 11:55:46 +0100

=== debian/control ===
--- 
+++ 
@@ -1,8 +1,7 @@
 Source: lutris
 Section: contrib/games
 Priority: optional
-Maintainer: SwampRabbit <swamprabbit@mxlinux.org>
-XSBC-Original-Maintainer: Debian Games Team <pkg-games-devel@lists.alioth.debian.org>
+Maintainer: Debian Games Team <pkg-games-devel@lists.alioth.debian.org>
 Uploaders: Stephan Lachnit <stephanlachnit@protonmail.com>
 Build-Depends: debhelper-compat (= 13),
                appstream,
@@ -39,10 +38,9 @@
          fluid-soundfont-gs,
          x11-xserver-utils,
          mesa-utils,
-         python3-evdev,
-         gvfs-backends,
-         libvulkan-dev:i386
-Recommends: libwine-development,
+Recommends: python3-evdev,
+            gvfs-backends,
+            libwine-development,
             winetricks,
 Suggests: gamemode,
 Description: open source gaming platform

## lutris 0.5.9.1

=== Makefile ===
--- 
+++ 
@@ -71,7 +71,7 @@
 style: isort autopep8  ## Format code
 
 isort:
-	$(PIPENV) run isort -y -rc lutris
+	$(PIPENV) run isort -rc lutris
 
 autopep8:
 	$(PIPENV) run autopep8 --in-place --recursive --ignore E402 setup.py lutris

=== requirements.txt ===
--- 
+++ 
@@ -14,7 +14,7 @@
 certifi==2020.6.20
 cffi==1.14.3
 chardet==3.0.4
-cryptography==3.1.1 ; python_version >= '2.7' and python_version not in '3.0, 3.1, 3.2, 3.3, 3.4'
+cryptography==3.4.7 ; python_version >= '2.7' and python_version not in '3.0, 3.1, 3.2, 3.3, 3.4'
 dbus-python==1.2.16
 entrypoints==0.3
 evdev==1.3.0
@@ -28,7 +28,7 @@
 pyflakes==2.2.0
 pygobject==3.38.0
 python-magic==0.4.18
-pyyaml==5.3.1
+pyyaml==5.4.1
 requests==2.24.0
 secretstorage==3.1.2 ; sys_platform == 'linux'
 six==1.15.0

=== debian/changelog ===
lutris (0.5.9.1-1) unstable; urgency=medium

  * New upstream version 0.5.9.1 (Closes: #996395 #996571)

 -- Stephan Lachnit <stephanlachnit@debian.org>  Sun, 17 Oct 2021 18:09:28 +0200

lutris (0.5.9-1) unstable; urgency=medium

  * New upstream version 0.5.9

 -- Stephan Lachnit <stephanlachnit@debian.org>  Wed, 13 Oct 2021 12:10:24 +0200

lutris (0.5.8.4-1) experimental; urgency=medium

  * New upstream version 0.5.8.4

 -- Stephan Lachnit <stephanlachnit@debian.org>  Sat, 03 Jul 2021 15:01:30 +0200

=== debian/control ===
--- 
+++ 
@@ -1,9 +1,9 @@
 Source: lutris
 Section: contrib/games
 Priority: optional
-Maintainer: Debian Games Team <pkg-games-devel@lists.alioth.debian.org>
-Uploaders: Stephan Lachnit <stephanlachnit@protonmail.com>
-Build-Depends: debhelper-compat (= 13),
+Maintainer: Stephan Lachnit <stephanlachnit@debian.org>
+Uploaders: Debian Games Team <team+pkg-games@tracker.debian.org>
+Build-Depends: debhelper-compat (= 12),
                appstream,
                dh-sequence-python3,
                meson,
@@ -43,7 +43,8 @@
             libwine-development,
             winetricks,
 Suggests: gamemode,
-Description: open source gaming platform
- Lutris goal is to make gaming on Linux as easy as possible by taking care of
- installing and setting up the game for the user. The only thing you have to do
- is play the game. It aims to support every game that is playable on Linux.
+Description: video game preservation platform
+ Lutris helps you install and play video games from all eras and from most
+ gaming systems. By leveraging and combining existing emulators, engine
+ re-implementations and compatibility layers, it gives you a central interface
+ to launch all your games.

=== debian/watch ===
version=4
opts="filenamemangle=s%(?:.*?)?v?(\d[\d.]*)\.tar\.gz%lutris-$1.tar.gz%" \
    https://github.com/lutris/lutris/tags (?:.*?/)?v?(\d[\d.]*)\.tar\.gz

## lutris 0.5.10.1

=== Makefile ===
VERSION=`grep "__version__" lutris/__init__.py | cut -d" " -f 3 | sed 's|"\(.*\)"|\1|'`
GITBRANCH ?= master
PYTHON:=$(shell which python3)
PIP:=$(PYTHON) -m pip

all:
	export GITBRANCH=master
	debuild
	debclean

build:
	gbp buildpackage --git-debian-branch=${GITBRANCH}

clean:
	debclean

build-source: clean
	gbp buildpackage -S --git-debian-branch=${GITBRANCH}
	mkdir build
	mv ../lutris_${VERSION}* build

release: build-source upload upload-ppa

test:
	rm tests/fixtures/pga.db -f
	nose2


cover:
	rm tests/fixtures/pga.db -f
	rm tests/coverage/ -rf
	nose2 --with-coverage --cover-package=lutris --cover-html --cover-html-dir=tests/coverage


pgp-renew:
	osc signkey --extend home:strycore
	osc rebuildpac home:strycore --all

changelog-add:
	EDITOR=vim dch -i

changelog-edit:
	EDITOR=vim dch -e

upload:
	scp build/lutris_${VERSION}.tar.xz anaheim:~/volumes/releases/

upload-ppa:
	dput ppa:lutris-team/lutris build/lutris_${VERSION}*_source.changes

upload-staging:
	dput --force ppa:lutris-team/lutris-staging build/lutris_${VERSION}*_source.changes

snap:
	snapcraft clean lutris -s pull
	snapcraft

dev:
	$(PIP) install --user --upgrade poetry
	poetry install --no-root --remove-untracked

lock:
# Update poetry.lock with packages and versions based on current pyproject.toml settings
	poetry update --lock

show-tree:
# Show a tree of installed packages and their dependencies
	poetry show --tree

# ============
# Style checks
# ============

style: isort autopep8  ## Format code

isort:
	poetry run isort lutris

autopep8:
	poetry run autopep8 --in-place --recursive --ignore E402 setup.py lutris


# ===============
# Static analysis
# ===============

check: isort-check flake8 pylint

isort-check:
	poetry run isort lutris -c

flake8:
	poetry run flake8 . --count --max-complexity=25 --max-line-length=120 --show-source --statistics

pylint:
	poetry run pylint lutris --rcfile=.pylintrc --output-format=colorized

bandit:
	poetry run bandit . --recursive --skip B101,B105,B107,B108,B303,B310,B311,B314,B320,B404,B405,B410,B602,B603,B607,B608

black:
	poetry run black . --check

mypy:
	poetry run mypy . --ignore-missing-imports --install-types --non-interactive

# =============
# Abbreviations
# =============

sc: style check
styles: style
checks: check

=== debian/changelog ===
lutris (0.5.10.1-1~mx19+1) mx; urgency=medium

  * Rebuild for MX Linux.

 -- Steven Pusser <stevep@mxlinux.org>  Mon, 02 May 2022 17:12:35 -0700

lutris (0.5.10.1-1) unstable; urgency=medium

  * New upstream version 0.5.10.1 (Closes: #1009160)

 -- Stephan Lachnit <stephanlachnit@debian.org>  Tue, 19 Apr 2022 16:20:58 +0200

lutris (0.5.10-1) unstable; urgency=medium

  * New upstream version 0.5.10

 -- Stephan Lachnit <stephanlachnit@debian.org>  Sat, 02 Apr 2022 14:07:31 +0200

=== debian/control ===
Source: lutris
Section: contrib/games
Priority: optional
Maintainer: Steven Pusser <stevep@mxlinux.org>
XSBC-Original-Maintainer: Debian Games Team <team+pkg-games@tracker.debian.org>
Uploaders: Stephan Lachnit <stephanlachnit@debian.org>
Build-Depends: appstream, debhelper-compat (= 12), dh-sequence-python3, meson
Rules-Requires-Root: no
Standards-Version: 4.5.0
Homepage: https://lutris.net
Vcs-Browser: https://salsa.debian.org/games-team/lutris
Vcs-Git: https://salsa.debian.org/games-team/lutris.git

Package: lutris
Architecture: all
Depends: cabextract,
         curl,
         fluid-soundfont-gs,
         gir1.2-gtk-3.0,
         gir1.2-notify-0.7,
         gir1.2-webkit2-4.0,
         mesa-utils,
         p7zip,
         psmisc,
         python3-dbus,
         python3-distro,
         python3-gi,
         python3-lxml,
         python3-magic,
         python3-pil,
         python3-requests,
         python3-setproctitle,
         python3-yaml,
         unzip,
         x11-xserver-utils,
         ${misc:Depends},
         ${python3:Depends},
         gvfs-backends, python3-evdev, winetricks
Suggests: gamemode, libwine-development
Description: video game preservation platform
 Lutris helps you install and play video games from all eras and from most
 gaming systems. By leveraging and combining existing emulators, engine
 re-implementations and compatibility layers, it gives you a central interface
 to launch all your games.

## lutris 0.5.12

=== Makefile ===
--- 
+++ 
@@ -56,16 +56,7 @@
 	snapcraft
 
 dev:
-	$(PIP) install --user --upgrade poetry
-	poetry install --no-root --remove-untracked
-
-lock:
-# Update poetry.lock with packages and versions based on current pyproject.toml settings
-	poetry update --lock
-
-show-tree:
-# Show a tree of installed packages and their dependencies
-	poetry show --tree
+	pip3 install isort flake8 pylint autopep8 pytest
 
 # ============
 # Style checks
@@ -74,10 +65,10 @@
 style: isort autopep8  ## Format code
 
 isort:
-	poetry run isort lutris
+	isort lutris
 
 autopep8:
-	poetry run autopep8 --in-place --recursive --ignore E402 setup.py lutris
+	autopep8 --in-place --recursive --ignore E402 setup.py lutris
 
 
 # ===============
@@ -87,22 +78,22 @@
 check: isort-check flake8 pylint
 
 isort-check:
-	poetry run isort lutris -c
+	isort lutris -c
 
 flake8:
-	poetry run flake8 . --count --max-complexity=25 --max-line-length=120 --show-source --statistics
+	flake8 . --count --max-complexity=25 --max-line-length=120 --show-source --statistics
 
 pylint:
-	poetry run pylint lutris --rcfile=.pylintrc --output-format=colorized
+	pylint lutris --rcfile=.pylintrc --output-format=colorized
 
 bandit:
-	poetry run bandit . --recursive --skip B101,B105,B107,B108,B303,B310,B311,B314,B320,B404,B405,B410,B602,B603,B607,B608
+	bandit . --recursive --skip B101,B105,B107,B108,B303,B310,B311,B314,B320,B404,B405,B410,B602,B603,B607,B608
 
 black:
-	poetry run black . --check
+	black . --check
 
 mypy:
-	poetry run mypy . --ignore-missing-imports --install-types --non-interactive
+	mypy . --ignore-missing-imports --install-types --non-interactive
 
 # =============
 # Abbreviations

=== debian/changelog ===
lutris (0.5.12-1~mx19+2) mx; urgency=medium

  * Add alternative dependency for gir1.2-webkit2-4.0.

 -- Steven Pusser <stevep@mxlinux.org>  Wed, 15 Mar 2023 15:29:52 -0700

lutris (0.5.12-1~mx19+1) mx; urgency=medium

  * Rebuild for MX Linux.
  * Make winetricks explicit dependency.

 -- Steven Pusser <stevep@mxlinux.org>  Sat, 04 Feb 2023 15:15:40 -0800

lutris (0.5.12-1) unstable; urgency=medium

  * New upstream version 0.5.12

 -- Stephan Lachnit <stephanlachnit@debian.org>  Wed, 07 Dec 2022 19:16:59 +0100

lutris (0.5.11-1) unstable; urgency=medium

  * New upstream version 0.5.11

 -- Stephan Lachnit <stephanlachnit@debian.org>  Wed, 31 Aug 2022 11:09:39 +0200

=== debian/control ===
--- 
+++ 
@@ -17,8 +17,7 @@
          curl,
          fluid-soundfont-gs,
          gir1.2-gtk-3.0,
-         gir1.2-notify-0.7,
-         gir1.2-webkit2-4.0,
+         gir1.2-webkit2-4.1 | gir1.2-webkit2-4.0,
          mesa-utils,
          p7zip,
          psmisc,
@@ -32,11 +31,12 @@
          python3-setproctitle,
          python3-yaml,
          unzip,
+         winetricks,
          x11-xserver-utils,
          ${misc:Depends},
-         ${python3:Depends},
-         gvfs-backends, python3-evdev, winetricks
-Suggests: gamemode, libwine-development
+         ${python3:Depends}
+Recommends: gvfs-backends, libwine-development, python3-evdev
+Suggests: gamemode, gamescope
 Description: video game preservation platform
  Lutris helps you install and play video games from all eras and from most
  gaming systems. By leveraging and combining existing emulators, engine

## lutris 0.5.13

=== Makefile ===
--- 
+++ 
@@ -1,5 +1,7 @@
 VERSION=`grep "__version__" lutris/__init__.py | cut -d" " -f 3 | sed 's|"\(.*\)"|\1|'`
 GITBRANCH ?= master
+# Default GPG key ID to use for package signing.
+PPA_GPG_KEY_ID ?= 82D96E430A1F1C0F0502747E37B90EDD4E3EFAE4
 PYTHON:=$(shell which python3)
 PIP:=$(PYTHON) -m pip
 
@@ -7,6 +9,38 @@
 	export GITBRANCH=master
 	debuild
 	debclean
+
+
+unsigned:
+	export GITBRANCH=master
+	debuild -i -us -uc -b
+	debclean
+
+
+# Build process for GitHub runners.
+# Requires two environment variables related to package signing.
+# 	PPA_GPG_KEY_ID
+#		Key ID used to sign the .deb package files.
+#	PPA_GPG_PASSPHRASE
+#		Decrypts the private key associated with GPG_KEY_ID.
+#
+# When running from a GitHub workflow.  The above environment variables
+# are passed in from .github/scripts/build-ubuntu.sh and that script
+# receives those variables from the .github/workflows/publish-lutris-ppa.yml
+# which receives them from the repository secrets.
+github-ppa:
+	export GITBRANCH=master
+	# Automating builds for different Ubuntu codenames manipulates the
+	# version string, and so that lintian check is suppressed.  Also note
+	# that all parameters after "--lintian-opts" are passed to lintian
+	# so that _must_ be the last parameter.
+	echo "y" | debuild -S \
+		-k"${PPA_GPG_KEY_ID}" \
+		-p"gpg --batch --passphrase "${PPA_GPG_PASSPHRASE}" --pinentry-mode loopback" \
+		--lintian-opts --suppress-tags malformed-debian-changelog-version
+
+build-deps-ubuntu:
+	sudo apt install devscripts debhelper dh-python meson
 
 build:
 	gbp buildpackage --git-debian-branch=${GITBRANCH}

=== debian/changelog ===
lutris (0.5.13-1~mx23+1) mx; urgency=medium

  * Rebuild for MX Linux.

 -- Steven Pusser <stevep@mxlinux.org>  Sat, 09 Sep 2023 19:09:59 -0700

lutris (0.5.13-1) unstable; urgency=medium

  [ Safir Secerovic ]
  * New upstream version 0.5.13 (Closes: #1036583)
  * Added python3-gi-cairo as a runtime dependency (upstream issue 4857)

 -- Stephan Lachnit <stephanlachnit@debian.org>  Wed, 23 Aug 2023 12:18:13 +0200

=== debian/control ===
--- 
+++ 
@@ -17,13 +17,15 @@
          curl,
          fluid-soundfont-gs,
          gir1.2-gtk-3.0,
-         gir1.2-webkit2-4.1 | gir1.2-webkit2-4.0,
+         gir1.2-notify-0.7,
+         gir1.2-webkit2-4.0 | gir1.2-webkit2-4.1,
          mesa-utils,
          p7zip,
          psmisc,
          python3-dbus,
          python3-distro,
          python3-gi,
+         python3-gi-cairo,
          python3-lxml,
          python3-magic,
          python3-pil,
@@ -31,11 +33,14 @@
          python3-setproctitle,
          python3-yaml,
          unzip,
-         winetricks,
          x11-xserver-utils,
          ${misc:Depends},
-         ${python3:Depends}
-Recommends: gvfs-backends, libwine-development, python3-evdev
+         ${python3:Depends},
+            gvfs-backends,
+            python3-evdev,
+            python3-protobuf,
+            winetricks
+Recommends: libwine-development | libwine | wine-staging | winehq-staging
 Suggests: gamemode, gamescope
 Description: video game preservation platform
  Lutris helps you install and play video games from all eras and from most

## lutris 0.5.14

=== Makefile ===
--- 
+++ 
@@ -36,7 +36,7 @@
 	# so that _must_ be the last parameter.
 	echo "y" | debuild -S \
 		-k"${PPA_GPG_KEY_ID}" \
-		-p"gpg --batch --passphrase "${PPA_GPG_PASSPHRASE}" --pinentry-mode loopback" \
+		-p"gpg --batch --passphrase ${PPA_GPG_PASSPHRASE} --pinentry-mode loopback" \
 		--lintian-opts --suppress-tags malformed-debian-changelog-version
 
 build-deps-ubuntu:
@@ -90,7 +90,7 @@
 	snapcraft
 
 dev:
-	pip3 install isort flake8 pylint autopep8 pytest
+	pip3 install isort flake8 pylint autopep8 pytest mypy mypy-baseline
 
 # ============
 # Style checks
@@ -109,7 +109,7 @@
 # Static analysis
 # ===============
 
-check: isort-check flake8 pylint
+check: isort-check flake8 pylint mypy
 
 isort-check:
 	isort lutris -c
@@ -127,7 +127,10 @@
 	black . --check
 
 mypy:
-	mypy . --ignore-missing-imports --install-types --non-interactive
+	mypy . --install-types --non-interactive 2>&1 | mypy-baseline filter
+
+mypy-reset-baseline:  # Add new typing errors to mypy. Use sparingly.
+	mypy . --install-types --non-interactive 2>&1 | mypy-baseline sync
 
 # =============
 # Abbreviations

=== debian/changelog ===
lutris (0.5.14-2) unstable; urgency=medium

  * Team upload
  * Drop alternate dependency on gir1.2-webkit2-4.0

 -- Jeremy Bícha <jbicha@ubuntu.com>  Fri, 05 Jan 2024 18:32:38 -0500

lutris (0.5.14-1.1) unstable; urgency=medium

  * Removed scummvm from suggests as its installer is already 
    included in Lutris runners.

 -- Safir Secerovic <sapphire@linux.org.ba>  Fri, 17 Nov 2023 01:38:57 -0600

lutris (0.5.14-1) unstable; urgency=medium

  [ Safir Secerovic ]
  * New upstream version 0.5.14
  * Added scummvm to suggests

 -- Stephan Lachnit <stephanlachnit@debian.org>  Thu, 26 Oct 2023 18:22:25 +0200

=== debian/control ===
Source: lutris
Section: contrib/games
Priority: optional
Maintainer: Debian Games Team <team+pkg-games@tracker.debian.org>
Uploaders: Stephan Lachnit <stephanlachnit@debian.org>
Build-Depends: debhelper-compat (= 12),
               appstream,
               dh-sequence-python3,
               meson,
Rules-Requires-Root: no
Standards-Version: 4.5.0
Homepage: https://lutris.net
Vcs-Browser: https://salsa.debian.org/games-team/lutris
Vcs-Git: https://salsa.debian.org/games-team/lutris.git

Package: lutris
Architecture: all
Depends: ${misc:Depends},
         ${python3:Depends},
         python3-yaml,
         python3-lxml,
         python3-requests,
         python3-pil,
         python3-gi,
         python3-gi-cairo,
         python3-setproctitle,
         python3-magic,
         python3-distro,
         python3-dbus,
         gir1.2-gtk-3.0,
         gir1.2-webkit2-4.1,
         gir1.2-notify-0.7,
         psmisc,
         cabextract,
         unzip,
         p7zip,
         curl,
         fluid-soundfont-gs,
         x11-xserver-utils,
         mesa-utils,
         vulkan-tools,
         xdg-desktop-portal,
         xdg-desktop-portal-gtk | xdg-desktop-portal-kde,
         fluidsynth,
Recommends: python3-evdev,
            python3-protobuf,
            gvfs-backends,
            libwine-development | libwine,
            winetricks,
Suggests: gamemode,
          gamescope,
Description: video game preservation platform
 Lutris helps you install and play video games from all eras and from most
 gaming systems. By leveraging and combining existing emulators, engine
 re-implementations and compatibility layers, it gives you a central interface
 to launch all your games.

## lutris 0.5.16

=== Makefile ===
--- 
+++ 
@@ -90,7 +90,7 @@
 	snapcraft
 
 dev:
-	pip3 install isort flake8 pylint autopep8 pytest mypy mypy-baseline
+	pip3 install isort flake8 pylint autopep8 pytest mypy mypy-baseline nose2
 
 # ============
 # Style checks

=== debian/changelog ===
lutris (0.5.16-1~mx23+1) mx; urgency=medium

  * Rebuild for MX-23.

 -- Mike Purtell <mmikeinsantarosa@mxlinux.org>  Tue, 23 Jan 2024 09:23:56 -0800

lutris (0.5.14-1~mx23+1) mx; urgency=medium

  * Rebuild for MX-23.

 -- Mike Purtell <mmikeinsantarosa@mxlinux.org>  Tue, 14 Nov 2023 12:51:34 -0800

=== debian/control ===
Source: lutris
Section: contrib/games
Priority: optional
Maintainer: Mike Purtell <mmikeinsantarosa@mxlinux.org>
XSBC-Original-Maintainer: Debian Games Team <team+pkg-games@tracker.debian.org>
Uploaders: Stephan Lachnit <stephanlachnit@debian.org>
Build-Depends: appstream, debhelper-compat (= 12), dh-sequence-python3, meson
Rules-Requires-Root: no
Standards-Version: 4.5.0
Homepage: https://lutris.net
Vcs-Browser: https://salsa.debian.org/games-team/lutris
Vcs-Git: https://salsa.debian.org/games-team/lutris.git

Package: lutris
Architecture: all
Depends: cabextract,
         curl,
         fluid-soundfont-gs,
         gir1.2-gtk-3.0,
         gir1.2-notify-0.7,
         gir1.2-webkit2-4.0 | gir1.2-webkit2-4.1,
         mesa-utils,
         p7zip,
         psmisc,
         python3-dbus,
         python3-distro,
         python3-gi,
         python3-gi-cairo,
         python3-lxml,
         python3-magic,
         python3-pil,
         python3-requests,
         python3-setproctitle,
         python3-yaml,
         unzip,
         x11-xserver-utils,
         ${misc:Depends},
         ${python3:Depends},
            gvfs-backends,
            python3-evdev,
            python3-protobuf,
            winetricks
Recommends: libwine-development | libwine | wine-staging | winehq-staging
Suggests: gamemode, gamescope
Description: video game preservation platform
 Lutris helps you install and play video games from all eras and from most
 gaming systems. By leveraging and combining existing emulators, engine
 re-implementations and compatibility layers, it gives you a central interface
 to launch all your games.

## lutris 0.5.17

=== debian/changelog ===
lutris (0.5.17-2) unstable; urgency=medium

  * Team Upload

  [ Phil Morrell ]
  * Use canonical team address

 -- Alexandre Detiste <tchet@debian.org>  Sun, 09 Feb 2025 13:15:17 +0100

lutris (0.5.17-1) unstable; urgency=medium

  * Fixed typo in d/c
  * New upstream version 0.5.17

 -- Safir Secerovic <sapphire@linux.org.ba>  Thu, 18 Jul 2024 16:52:58 -0600

lutris (0.5.16-1) unstable; urgency=medium

  * New upstream version 0.5.16
  * Added myself to uploaders
  * Moved gamescope, gamemode, fluidsynth, 
    xdg-desktop-portal* to Recommends

 -- Safir Secerovic <sapphire@linux.org.ba>  Mon, 25 Mar 2024 18:32:19 -0600

=== debian/control ===
Source: lutris
Section: contrib/games
Priority: optional
Maintainer: Debian Games Team <pkg-games-devel@lists.alioth.debian.org>
Uploaders: Stephan Lachnit <stephanlachnit@debian.org>,
           Safir Secerovic <sapphire@linux.org.ba>,
Build-Depends: debhelper-compat (= 12),
               appstream,
               dh-sequence-python3,
               meson,
Rules-Requires-Root: no
Standards-Version: 4.5.0
Homepage: https://lutris.net
Vcs-Browser: https://salsa.debian.org/games-team/lutris
Vcs-Git: https://salsa.debian.org/games-team/lutris.git

Package: lutris
Architecture: all
Depends: ${misc:Depends},
         ${python3:Depends},
         python3-yaml,
         python3-lxml,
         python3-requests,
         python3-pil,
         python3-gi,
         python3-gi-cairo,
         python3-setproctitle,
         python3-magic,
         python3-distro,
         python3-dbus,
         gir1.2-gtk-3.0,
         gir1.2-webkit2-4.1,
         gir1.2-notify-0.7,
         psmisc,
         cabextract,
         unzip,
         p7zip,
         curl,
         fluid-soundfont-gs,
         x11-xserver-utils,
         mesa-utils,
         vulkan-tools,
Recommends: python3-evdev,
            python3-protobuf,
            gvfs-backends,
            libwine-development | libwine,
            winetricks,
            fluidsynth,
            xdg-desktop-portal,
            xdg-desktop-portal-gtk | xdg-desktop-portal-kde,
            gamemode,
            gamescope,
Suggests: 
Description: video game preservation platform
 Lutris helps you install and play video games from all eras and from most
 gaming systems. By leveraging and combining existing emulators, engine
 re-implementations and compatibility layers, it gives you a central interface
 to launch all your games.

## lutris 0.5.18

=== debian/changelog ===
lutris (0.5.18) jammy; urgency=medium

  * Lutris downloads the latest GE-Proton build for Wine if any Wine version is installed
  * Use dark theme by default
  * Display cover-art rather than banners by default
  * Add 'Uncategorized' view to sidebar
  * Preference options that do not work on Wayland will be hidden when on Wayland
  * Game searches can now use fancy tags like 'installed:yes' or 'source:gog', with explanatory tool-tip
  * A new filter button on the search box can build many of these fancy tags for you
  * Runner searches can use 'installed:yes' as well, but no other fancy searches or anything
  * Updated the Flathub and Amazon source to new APIs, restoring integration
  * Itch.io source integration will load a collection named 'Lutris' if present
  * GOG and Itch.io sources can now offer Linux and Windows installers for the same game
  * Added support for the 'foot' terminal
  * Support for DirectX 8 in DXVK v2.4
  * Support for Ayatana Application Indicators
  * Additional options for Ruffle runner
  * Updated download links for the Atari800 and MicroM8 runners
  * No longer re-download cached installation files even when some are missing
  * Lutris log is included in the 'System' tab of the Preferences window
  * Improved error reporting, with the Lutris log included in the error details
  * Add AppArmor profile for Ubuntu versions >= 23.10
  * Add Duckstation runner

 -- Mathieu Comandon <mathieucomandon@gmail.com>  Sun, 1 Dec 2024 12:00:00 -0700

lutris (0.5.17) jammy; urgency=medium

  * Fix critical bug preventing completion of installs if the script specifies a wine version
  * Fix critical bug preventing Steam library sync
  * Fix critical bug preventing game or runner uninstall in Flatpak
  * Support for library sync to lutris.net, this allows to sync games, play
    time and categories to multiple devices.
  * Remove "Lutris" service view; with library sync the "Games" view replaces it.
  * Torturous and sadistic options for multi-GPUs that were half broken and understood by no one have been replaced by a simple GPU selector.
  * EXPERIMENTAL support for umu, which allows running games with Proton and
    Pressure Vessel. Using Proton in Lutris without umu is no longer possible.
  * Better and sensible sorting for games (sorting by playtime or last played no longer needs to be reversed)
  * Support the "Categories" command when you select multiple games
  * Notification bar when your Lutris is no longer supported
  * Improved error dialog.
  * Add Vita3k runner (thanks @ItsAllAboutTheCode)
  * Add Supermodel runner
  * WUA files are now supported in Cemu
  * "Show Hidden Games" now displays the hidden games in a separate view, and re-hides them as soon as you leave it.
  * Support transparent PNG files for custom banner and cover-art
  * Images are now downloaded for manually added games.
  * Deprecate 'exe', 'main_file' or 'iso' placed at the root of the script,
    all lutris.net installers have been updated accordingly.
  * Deprecate libstrangle and xgamma support.
  * Deprecate DXVK state cache feature (it was never used and is no longer relevant to DXVK 2)

 -- Mathieu Comandon <mathieucomandon@gmail.com>  Wed, 03 Apr 2024 13:49:49 -0700

lutris (0.5.16) jammy; urgency=medium

  * Fix bug that prevented installers to complete
  * Better handling of Steam configurations for the Steam account picker
  * Load game library in a background thread

 -- Mathieu Comandon <mathieucomandon@gmail.com>  Mon, 15 Jan 2024 16:10:35 -0800

lutris (0.5.15) jammy; urgency=medium

  * Fix some crashes happening when using Wayland and a high DPI gaming mouse
  * Fix crash when opening the system preferences tab for a game
  * Reduced the locales list to a predefined one (let us know if you need yours added)
  * Fix Lutris not expanding "~" in paths
  * Download runtime components from the main window,
    the "updating runtime" dialog appearing before Lutris opens has been removed
  * Add the ability to open a location in your file browser from file picker widgets
  * Add the ability to select, remove, or stop multiple games in the Lutris window
  * Redesigned 'Uninstall Game' dialog now completely removes games by default
  * Fix the export / import feature
  * Show an animation when a game is launched
  * Add the ability to disable Wine auto-updates at the expense of losing support
  * Add playtime editing in the game preferences
  * Move game files, runners to the trash instead of deleting them they are uninstalled
  * Add "Updates" tab in Preferences control and check for updates and correct missing media
    in the 'Games' view.
  * Add "Storage" tab in Preferences to control game and installer cache location
  * Expand "System" tab in Preferences with more system information but less brown.
  * Add "Run Task Manager" command for Wine games
  * Add two new, smaller banner sizes for itch.io games.
  * Ignore Wine virtual desktop setting when using Wine-GE/Proton to avoid crash
  * Ignore MangoHUD setting when launching Steam to avoid crash
  * Sync Steam playtimes with the Lutris library


 -- Mathieu Comandon <mathieucomandon@gmail.com>  Sun, 07 Jan 2024 17:29:46 -0800

lutris (0.5.14) jammy; urgency=medium

  * Add Steam account switcher to handle multiple Steam accounts
    on the same device.
  * Add user defined tags / categories
  * Group every API calls for runtime updates in a single one
  * Download appropriate DXVK and VKD3D versions based on
    the available GPU PCI IDs
  * EA App integration. Your Origin games and saves can be manually imported
    from your Origin prefix.
  * Add integration with ScummVM local library
  * Download Wine-GE updates when Lutris starts
  * Group GOG and Amazon download in a single progress bar
  * Fix blank login window on online services such as GOG or EGS
  * Add a sort name field
  * Yuzu and xemu now use an AppImage
  * Experimental support for Flatpak provided runners
  * Header-bar search for configuration options


## lutris 0.5.19~mx21+1

=== debian/changelog ===
lutris (0.5.19~mx21+1) mx; urgency=medium

  * Rebuild for MX-21.

 -- Mike Purtell <mmikeinsantarosa@mxlinux.org>  Sun, 09 Mar 2025 12:24:18 -0700

lutris (0.5.19~mx23+1) mx; urgency=medium

  * Rebuild for MX-23.

 -- Mike Purtell <mmikeinsantarosa@mxlinux.org>  Sun, 09 Mar 2025 12:17:43 -0700

lutris (0.5.19) jammy; urgency=medium

-   Fix Proton integration bugs so Proton-fixes are applied
-   Do not offer DXVK, VKD3D, D3D Extras or DDXVK-NVAPI on Proton versions;
    Proton will handle these.
-   The "Enable Esync" and "Enable Fsync" settings are now passed on to Proton
-   DXVK's integrated D8VK will be enabled in Proton
-   Emulator BIOS file location (used by libretro) may be set in Preferences
-   Obtain the release year from GOG and Itch.io.
-   MAME Machine setting uses a searchable entry for its enourmous list
-   Support for importing Commodore 64 ROMs
-   F5 will refresh the main Lutris window

-- Mathieu Comandon <mathieucomandon@gmail.com> Sun, 23 Feb 2025 10:55:10 -0800

## lutris 0.5.19~mx23+1

=== debian/control ===
--- 
+++ 
@@ -1,18 +1,18 @@
 Source: lutris
-Section: contrib/games
+Section: games
 Priority: optional
-Maintainer: Debian Games Team <pkg-games-devel@lists.alioth.debian.org>
-Uploaders: Stephan Lachnit <stephanlachnit@debian.org>,
-           Safir Secerovic <sapphire@linux.org.ba>,
+Maintainer: Mike Purtell <mmikeinsantarosa@mxlinux.org>
+XSBC-Original-Maintainer: Mathieu Comandon <mathieucomandon@gmail.com>
 Build-Depends: debhelper-compat (= 12),
                appstream,
+               dh-apparmor,
                dh-sequence-python3,
                meson,
 Rules-Requires-Root: no
 Standards-Version: 4.5.0
 Homepage: https://lutris.net
-Vcs-Browser: https://salsa.debian.org/games-team/lutris
-Vcs-Git: https://salsa.debian.org/games-team/lutris.git
+Vcs-Browser: https://github.com/lutris/lutris
+Vcs-Git: https://github.com/lutris/lutris.git
 
 Package: lutris
 Architecture: all
@@ -29,7 +29,7 @@
          python3-distro,
          python3-dbus,
          gir1.2-gtk-3.0,
-         gir1.2-webkit2-4.1,
+         gir1.2-webkit2-4.0 | gir1.2-webkit2-4.1,
          gir1.2-notify-0.7,
          psmisc,
          cabextract,
@@ -46,11 +46,10 @@
             libwine-development | libwine,
             winetricks,
             fluidsynth,
+            gamescope,
+            gamemode,
             xdg-desktop-portal,
             xdg-desktop-portal-gtk | xdg-desktop-portal-kde,
-            gamemode,
-            gamescope,
-Suggests: 
 Description: video game preservation platform
  Lutris helps you install and play video games from all eras and from most
  gaming systems. By leveraging and combining existing emulators, engine
